unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ImgList, sppngimagelist, SkinData, DynamicSkinForm, SkinCtrls,
  SkinExCtrls, SkinHint;

type
  TForm1 = class(TForm)
    spSkinToolBarEx1: TspSkinToolBarEx;
    spDynamicSkinForm1: TspDynamicSkinForm;
    spSkinData1: TspSkinData;
    spCompressedSkinList1: TspCompressedSkinList;
    spPngImageList1: TspPngImageList;
    spSkinHint1: TspSkinHint;
    spSkinButton1: TspSkinButton;
    spSkinCheckRadioBox1: TspSkinCheckRadioBox;
    spSkinMenuEx1: TspSkinMenuEx;
    spPngImageList2: TspPngImageList;
    spSkinGroupBox1: TspSkinGroupBox;
    spSkinCheckRadioBox2: TspSkinCheckRadioBox;
    spSkinCheckRadioBox4: TspSkinCheckRadioBox;
    spSkinCheckRadioBox7: TspSkinCheckRadioBox;
    spSkinCheckRadioBox3: TspSkinCheckRadioBox;
    spSkinCheckRadioBox6: TspSkinCheckRadioBox;
    spSkinCheckRadioBox5: TspSkinCheckRadioBox;
    spSkinCheckRadioBox8: TspSkinCheckRadioBox;
    spSkinCheckRadioBox9: TspSkinCheckRadioBox;
    spPngImageList3: TspPngImageList;
    spSkinButton2: TspSkinButton;
    spSkinCheckRadioBox10: TspSkinCheckRadioBox;
    procedure spSkinButton1Click(Sender: TObject);
    procedure spSkinCheckRadioBox1Click(Sender: TObject);
    procedure spSkinCheckRadioBox3Click(Sender: TObject);
    procedure spSkinCheckRadioBox2Click(Sender: TObject);
    procedure spSkinCheckRadioBox5Click(Sender: TObject);
    procedure spSkinToolBarEx1Items0Click(Sender: TObject);
    procedure spSkinToolBarEx1Items1Click(Sender: TObject);
    procedure spSkinToolBarEx1Items2Click(Sender: TObject);
    procedure spSkinToolBarEx1Items3Click(Sender: TObject);
    procedure spSkinToolBarEx1Items4Click(Sender: TObject);
    procedure spSkinCheckRadioBox6Click(Sender: TObject);
    procedure spSkinCheckRadioBox7Click(Sender: TObject);
    procedure spSkinCheckRadioBox4Click(Sender: TObject);
    procedure spSkinCheckRadioBox8Click(Sender: TObject);
    procedure spSkinCheckRadioBox9Click(Sender: TObject);
    procedure spSkinButton2Click(Sender: TObject);
    procedure spSkinCheckRadioBox10Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.spSkinButton1Click(Sender: TObject);
begin
  if spSkinData1.SkinIndex = 0 then  spSkinData1.SkinIndex := 1 else
    if spSkinData1.SkinIndex = 1 then  spSkinData1.SkinIndex := 2 else
    spSkinData1.SkinIndex := 0;
end;

procedure TForm1.spSkinCheckRadioBox1Click(Sender: TObject);
begin
  spSkinToolBarEx1.Items[3].Enabled := spSkinCheckRadioBox1.Checked;
end;

procedure TForm1.spSkinCheckRadioBox3Click(Sender: TObject);
begin
  spSkinToolBarEx1.ShowActiveCursor := spSkinCheckRadioBox3.Checked;
  spSkinToolBarEx1.RePaint;
  spSkinMenuEx1.ShowActiveCursor := spSkinCheckRadioBox3.Checked;
end;

procedure TForm1.spSkinCheckRadioBox2Click(Sender: TObject);
begin
  spSkinToolBarEx1.ShowBorder := spSkinCheckRadioBox2.Checked;
end;

procedure TForm1.spSkinCheckRadioBox5Click(Sender: TObject);
begin
  spSkinToolBarEx1.ShowHandPointCursor := spSkinCheckRadioBox5.Checked;
end;

procedure TForm1.spSkinToolBarEx1Items0Click(Sender: TObject);
begin
  Form1.Caption := 'TspSkinToolBarEx - Demo - ' + 'Item[0] click';
end;

procedure TForm1.spSkinToolBarEx1Items1Click(Sender: TObject);
begin
  Form1.Caption := 'TspSkinToolBarEx - Demo - ' + 'Item[1] click';
end;

procedure TForm1.spSkinToolBarEx1Items2Click(Sender: TObject);
begin
  Form1.Caption := 'TspSkinToolBarEx - Demo - ' + 'Item[3] click';
end;

procedure TForm1.spSkinToolBarEx1Items3Click(Sender: TObject);
begin
  Form1.Caption := 'TspSkinToolBarEx - Demo - ' + 'Item[2] click';
  spSkinMenuEx1.Popup(spSkinToolBarEx1);
end;

procedure TForm1.spSkinToolBarEx1Items4Click(Sender: TObject);
begin
  Form1.Caption := 'TspSkinToolBarEx - Demo - ' + 'Item[4] click';
end;

procedure TForm1.spSkinCheckRadioBox6Click(Sender: TObject);
begin
  spSkinToolBarEx1.HoldSelectedItem := spSkinCheckRadioBox6.Checked;
  spSkinToolBarEx1.RePaint;
end;

procedure TForm1.spSkinCheckRadioBox7Click(Sender: TObject);
begin
  spSkinToolBarEx1.ShowItemHints := spSkinCheckRadioBox7.Checked;
  spSkinMenuEx1.ShowHints := spSkinCheckRadioBox7.Checked;
end;

procedure TForm1.spSkinCheckRadioBox4Click(Sender: TObject);
begin
  spSkinToolBarEx1.ShowGlow := spSkinCheckRadioBox4.Checked;
  spSkinMenuEx1.ShowGlow := spSkinCheckRadioBox4.Checked;
end;

procedure TForm1.spSkinCheckRadioBox8Click(Sender: TObject);
begin
  spSkinToolBarEx1.Items[1].UseCustomGlowColor := spSkinCheckRadioBox8.Checked;
  spSkinMenuEx1.Items[1].UseCustomGlowColor := spSkinCheckRadioBox8.Checked;
end;

procedure TForm1.spSkinCheckRadioBox9Click(Sender: TObject);
begin
  if spSkinCheckRadioBox9.Checked
  then
    spSkinToolBarEx1.ArrowImages := spPngImageList3
  else
    spSkinToolBarEx1.ArrowImages := nil;
end;

procedure TForm1.spSkinButton2Click(Sender: TObject);
var
  Item: TspSkinToolBarExItem;
begin
  spSkinToolBarEx1.BeginUpdateItems;
  Item := spSkinToolBarEx1.Items.Add;
  Item.ImageIndex := 8;
  Item.ActiveImageIndex := 9;
  spSkinToolBarEx1.EndUpdateItems;
end;

procedure TForm1.spSkinCheckRadioBox10Click(Sender: TObject);
begin
  spSkinToolBarEx1.ShowCaptions := spSkinCheckRadioBox10.Checked;
end;

end.
