unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  SkinData, DynamicSkinForm, SkinCtrls, Menus, StdCtrls, Mask, SkinBoxCtrls,
  SkinMenus, ComCtrls, SkinExCtrls, spMessages, SkinHint;

type
  TForm1 = class(TForm)
    spDynamicSkinForm1: TspDynamicSkinForm;
    spSkinData1: TspSkinData;
    spCompressedStoredSkin1: TspCompressedStoredSkin;
    spSkinMainMenuBar1: TspSkinMainMenuBar;
    spSkinMainMenu1: TspSkinMainMenu;
    File1: TMenuItem;
    item11: TMenuItem;
    item21: TMenuItem;
    item31: TMenuItem;
    Edit1: TMenuItem;
    Advanced1: TMenuItem;
    Help1: TMenuItem;
    item12: TMenuItem;
    item22: TMenuItem;
    item32: TMenuItem;
    item41: TMenuItem;
    iem11: TMenuItem;
    item23: TMenuItem;
    item13: TMenuItem;
    item24: TMenuItem;
    N1: TMenuItem;
    item33: TMenuItem;
    N2: TMenuItem;
    Close1: TMenuItem;
    spSkinStatusBar1: TspSkinStatusBar;
    spSkinStatusPanel1: TspSkinStatusPanel;
    PlayButton: TspSkinButton;
    spSkinButton1: TspSkinButton;
    spSkinButton2: TspSkinButton;
    spSkinEdit1: TspSkinEdit;
    VolumeBar: TspSkinTrackBar;
    spSkinPaintPanel1: TspSkinPaintPanel;
    spSkinTrackBar1: TspSkinTrackBar;
    spSkinPanel1: TspSkinPanel;
    spSkinPanel2: TspSkinPanel;
    spSkinPanel3: TspSkinPanel;
    spSkinPopupMenu1: TspSkinPopupMenu;
    Item14: TMenuItem;
    Item25: TMenuItem;
    Item34: TMenuItem;
    spSkinButton6: TspSkinButton;
    spSkinButton7: TspSkinButton;
    spSkinButton8: TspSkinButton;
    spSkinButton9: TspSkinButton;
    PauseButton: TspSkinButton;
    spSkinPanel4: TspSkinPanel;
    spSkinButton3: TspSkinButton;
    spSkinButton4: TspSkinButton;
    spSkinButton5: TspSkinButton;
    spSkinData2: TspSkinData;
    spCompressedStoredSkin2: TspCompressedStoredSkin;
    spSkinListView1: TspSkinListView;
    spSkinScrollBar9: TspSkinScrollBar;
    spSkinScrollBar11: TspSkinScrollBar;
    spSkinOfficeListBox1: TspSkinOfficeListBox;
    spSkinHint1: TspSkinHint;
    spSkinMessage1: TspSkinMessage;
    procedure Close1Click(Sender: TObject);
    procedure spDynamicSkinForm1ChangeSkinData(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure spSkinPaintPanel1PanelPaint(Cnvs: TCanvas; R: TRect);
    procedure spSkinEdit1ButtonClick(Sender: TObject);
    procedure Item14Click(Sender: TObject);
    procedure Item25Click(Sender: TObject);
    procedure Item34Click(Sender: TObject);
    procedure PlayButtonClick(Sender: TObject);
    procedure PauseButtonClick(Sender: TObject);
    procedure spSkinButton3Click(Sender: TObject);
    procedure item13Click(Sender: TObject);
    procedure spSkinListView1SelectItem(Sender: TObject; Item: TListItem;
      Selected: Boolean);
    procedure spSkinButton7Click(Sender: TObject);
    procedure spSkinButton6Click(Sender: TObject);
    procedure spSkinButton8Click(Sender: TObject);
    procedure spSkinButton9Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Close1Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.spDynamicSkinForm1ChangeSkinData(Sender: TObject);
begin
  spDynamicSkinForm1.LinkControlToArea('searcheditarea', spSkinEdit1);
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  i, j, k: Integer;
  S: String;
begin
  Form1.Width := 700;
  Form1.Height := 400;
  //
  spSkinListView1.Items.BeginUpdate;
  for i := 1 to 20 do
  begin
    spSkinListView1.AddItem('Melody ' + IntToStr(i), nil);
    j := 2 + Random(7);
    k := 10 + Random(50);
    S := '0' + IntToStr(j)+ ':' + IntToStr(k);
    spSkinListView1.Items[i - 1].SubItems.Add(S);
    spSkinListView1.Items[i - 1].SubItems.Add('My album');
    spSkinListView1.Items[i - 1].SubItems.Add('Artist' + IntToStr(i));
  end;
  spSkinListView1.Items.EndUpdate;
  spSkinListView1.ItemIndex := 6;
end;

procedure TForm1.spSkinPaintPanel1PanelPaint(Cnvs: TCanvas; R: TRect);
var
  FileName: String;
  X: Integer;
begin
  with Cnvs do
  begin
    Brush.Style := bsClear;
    Font.Name := 'Arial';
    Font.Style := [];
    Font.Color := spSkinData1.SkinColors.cWindowText;
    Font.Height := 14;
    // time
    TextOut(R.Left, R.Top + 13, '01:45');
    TextOut(R.Right - TextWidth('-03.15') - 1, R.Top + 13, '-03:15');
    Font.Style := [fsBold];
    // file
    if spSkinListView1.Selected <> nil
    then
      FileName := spSkinListView1.Selected.Caption + '.mp3'
    else
      FileName := '- - -';
    X := R.Left + (R.Right - R.Left) div 2 - TextWidth(FileName) div 2;
    if X < R.Left then X := R.Left;
    TextOut(X, R.Top, FileName);
  end;
end;

procedure TForm1.spSkinEdit1ButtonClick(Sender: TObject);
var
  P, P1: TPoint;
begin
  P1.X := spSkinEdit1.Left;
  P1.Y := spSkinEdit1.Top + spSkinEdit1.Height;
  P := ClientToScreen(P1);
  spSkinPopupMenu1.Popup(P.X, P.Y);
end;

procedure TForm1.Item14Click(Sender: TObject);
begin
  spSkinEdit1.Text := Item14.Caption;
end;

procedure TForm1.Item25Click(Sender: TObject);
begin
  spSkinEdit1.Text := Item25.Caption;
end;

procedure TForm1.Item34Click(Sender: TObject);
begin
  spSkinEdit1.Text := Item34.Caption;
end;

procedure TForm1.PlayButtonClick(Sender: TObject);
begin
  if PlayButton.Visible
  then
    begin
      PlayButton.Visible := False;
      PauseButton.Visible := True;
    end;
end;

procedure TForm1.PauseButtonClick(Sender: TObject);
begin
  if PauseButton.Visible
  then
    begin
      PlayButton.Visible := True;
      PauseButton.Visible := False;
    end;
end;

procedure TForm1.spSkinButton3Click(Sender: TObject);
begin
  spSkinMessage1.MessageDlg('DynamicSkinForm VCL - iTunes 10 demo!' + #13 +
  'You can create application as iTunes with DynamicSkinForm VCL!' + #13 +
  '(c) Almediadev 2000-2016',
    mtInformation, [mbOk], 0);
end;

procedure TForm1.item13Click(Sender: TObject);
begin
  spSkinButton3Click(Self);
end;

procedure TForm1.spSkinListView1SelectItem(Sender: TObject;
  Item: TListItem; Selected: Boolean);
begin
  if spSkinListView1.Selected <> nil then spSkinPaintPanel1.RePaint;
end;

procedure TForm1.spSkinButton7Click(Sender: TObject);
begin
  spSkinListView1.ViewStyle := vsList;
end;

procedure TForm1.spSkinButton6Click(Sender: TObject);
begin
  spSkinListView1.ViewStyle := vsReport;
end;

procedure TForm1.spSkinButton8Click(Sender: TObject);
begin
  spSkinListView1.ViewStyle := vsSmallIcon;
end;

procedure TForm1.spSkinButton9Click(Sender: TObject);
begin
  spSkinListView1.ViewStyle := vsIcon;
end;

end.

